Page MenuHomePhabricator

Gather can't merge code due to issue with karma (jenkins mwext-qunit job)
Closed, ResolvedPublic

Description

I'm not sure what changed recently but all patches to Gather are currently failing.
I can replicate this locally with karma but cannot identify the exact reason (seems to be related to initialisation code in modules that we are currently working to remove but it is not an easy fix)

I have no idea why this has suddenly become a problem since the code that is a problem in MobileFrontend (and MobileFrontend is not being impacted by this problem)

I would appreciate some insight asap from @Krinkle or anyone else who knows this stuff as this is blocking us from doing work on Gather.
Seems to have broken sometime between 14th and 18th of May.

Event Timeline

Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Jdlrobson, Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2015, 5:24 PM
Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to This Sprint on the Gather board.
phuedx added a subscriber: phuedx.May 19 2015, 6:27 PM
hashar added a subscriber: hashar.May 19 2015, 8:19 PM

The jobs fail with:

        Modules in error state
 	Expected: 
	Actual: mobile.notifications,mobile.notificat....

That is an assertion in MediaWiki core QUnit test runner which reports that bunch of RL modules have errors. The mw-debug-www.log debug file attached to the build does not seem to offer any hint though.

Luckily you can reproduce it on your local instance. Maybe you can try bisecting by using a commit of mw/core that was known to work and repeat with other extensions involved.

Seems to me Gather is no more compatible with whatever MobileFrontend change occurred. The qunit job running running for MF do not include Gather.

I think this should get fixed by
https://gerrit.wikimedia.org/r/212036
and https://gerrit.wikimedia.org/r/#/c/212032/ but these are big dependency changes.

I'm not sure what made this surface only in the last 4 days in Gather but not MobileFrontend (the issue is in MobileFrontend code) but it seems to be due to code that expects the MediaWiki HTML due to some legacy code issues.

@phuedx @kaldari I would appreciate review.
I notice MobileFrontend is not using karma @hashar - is that because of this issue?

Jdlrobson moved this task from In Analysis to In development on the Gather Sprint Help! board.
Jdlrobson moved this task from In development to Code review needed on the Gather Sprint Help! board.

@hashar sounds like MobileFrontend needs to run Gather's tests...?

Jdlrobson closed this task as Resolved.May 21 2015, 8:49 AM

This is now fixed. Summary: a seemingly harmless change in MobileFrontend broke Gather QUnit tests running in desktop. I've setup a sub task to stop this happening again.

greg moved this task from INBOX to Done on the Release-Engineering-Team board.May 23 2015, 2:13 PM